Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javafe.ast
Class FieldDecl

    java.lang.Object
      javafe.ast.ASTNode
          javafe.ast.GenericVarDecl
              javafe.ast.FieldDecl

All Implemented Interfaces:
  java.lang.Cloneable, TypeDeclElem

public class FieldDecl
extends GenericVarDecl
implements TypeDeclElem

Represents a field declaration.

Field Summary
`VarInit` | `init`
`int` | `locAssignOp`
`TypeDecl` | `parent`

Fields inherited from class javafe.ast.GenericVarDecl
`id, locId, modifiers, pmodifiers, type`

Fields inherited from class javafe.ast.ASTNode
`decorations`

Constructor Summary
`protected` | `FieldDecl()` Construct a raw FieldDecl whose class invariant(s) have not yet been established.

Method Summary
`void` | `accept(Visitor v)` Accept a visit from `v`.
`java.lang.Object` | `accept(VisitorArgResult v, java.lang.Object o)`
`void` | `check()`
`java.lang.Object` | `childAt(int index)` Return the first-but-ith child of a node.
`int` | `childCount()` Return the number of children a node has.
`int` | `getEndLoc()`
`TypeDecl` | `getParent()` The TypeDecl we are an element of, or null if we do not have a parent (cf. hasParent).
`ModifierPragmaVec` | `getPModifiers()`
`int` | `getTag()` Return the tag of a node.
`static FieldDecl` | `make(int modifiers, ModifierPragmaVec pmodifiers, Identifier id, Type type, int locId, VarInit init, int locAssignOp)`
`private void` | `postCheck()`
`void` | `setParent(TypeDecl p)`
`java.lang.String` | `toString()` Return a string representation of `this`.

Methods inherited from class javafe.ast.GenericVarDecl
`getModifiers, getStartLoc, setModifiers`

Methods inherited from class javafe.ast.ASTNode
`clone, clone, getDecorations, setDecorations`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javafe.ast.TypeDeclElem
`getModifiers, getStartLoc, setModifiers`

Field Detail

### parent

    public TypeDecl parent

### init

    public VarInit init

### locAssignOp

    public int locAssignOp

Constructor Detail

### FieldDecl

    protected FieldDecl()

  Construct a raw FieldDecl whose class invariant(s) have not yet been established. It is the caller's job to initialize the returned node's fields so that any class invariants hold.

Method Detail

### postCheck

    private void postCheck()

### getParent

    public TypeDecl getParent()

  Description copied from interface: `TypeDeclElem`
  The TypeDecl we are an element of, or null if we do not have a parent (cf. hasParent).

  Specified by:
    `getParent` in interface `TypeDeclElem`

### setParent

    public void setParent(TypeDecl p)

  Specified by:
    `setParent` in interface `TypeDeclElem`

### getPModifiers

    public ModifierPragmaVec getPModifiers()

  Specified by:
    `getPModifiers` in interface `TypeDeclElem`

### getEndLoc

    public int getEndLoc()

  Overrides:
    `getEndLoc` in class `GenericVarDecl`

### childCount

    public final int childCount()

  Description copied from class: `ASTNode`
  Return the number of children a node has.

  Specified by:
    `childCount` in class `ASTNode`

### childAt

    public final java.lang.Object childAt(int index)

  Description copied from class: `ASTNode`
  Return the first-but-ith child of a node.

  Specified by:
    `childAt` in class `ASTNode`

### toString

    public final java.lang.String toString()

  Description copied from class: `ASTNode`
  Return a string representation of `this`. Meant for debugging use only, not for presentation.

  Specified by:
    `toString` in class `ASTNode`

### getTag

    public final int getTag()

  Description copied from interface: `TypeDeclElem`
  Return the tag of a node.

  Specified by:
    `getTag` in interface `TypeDeclElem`
  Specified by:
    `getTag` in class `ASTNode`

### accept

    public final void accept(Visitor v)

  Description copied from class: `ASTNode`
  Accept a visit from `v`. This method simply calls the method of `v` corresponding to the allocated type of `this`, passing `this` as the argument. See the design patterns book.

  Specified by:
    `accept` in interface `TypeDeclElem`
  Specified by:
    `accept` in class `ASTNode`

### accept

    public final java.lang.Object accept(VisitorArgResult v,
                                         java.lang.Object o)

  Specified by:
    `accept` in interface `TypeDeclElem`
  Specified by:
    `accept` in class `ASTNode`

### check

    public void check()

  Overrides:
    `check` in class `GenericVarDecl`

### make

    public static FieldDecl make(int modifiers,
                                 ModifierPragmaVec pmodifiers,
                                 Identifier id,
                                 Type type,
                                 int locId,
                                 VarInit init,
                                 int locAssignOp)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

The ESC/Java2 Project Homepage